<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njzscloud.dispose.cst.order.mapper.OrderEvaluateMapper">
    <resultMap id="BaseResultMap" autoMapping="true" type="com.njzscloud.dispose.cst.order.pojo.entity.OrderEvaluateEntity">
        <id column="id" property="id"/>
        <result column="order_id" property="orderId"/>
        <result column="sn" property="sn"/>
        <result column="user_id" property="userId"/>
        <result column="customer_id" property="customerId"/>
        <result column="trans_org_id" property="transOrgId"/>
        <result column="trans_customer_id" property="transCustomerId"/>
        <result column="efficiency_score" property="efficiencyScore"/>
        <result column="fee_score" property="feeScore"/>
        <result column="attitude_score" property="attitudeScore"/>
        <result column="overall_score" property="overallScore"/>
        <result column="picture" property="picture" typeHandler="com.njzscloud.common.mp.support.handler.j.JsonTypeHandler"/>
        <result column="memo" property="memo"/>
        <result column="creator_id" property="creatorId"/>
        <result column="modifier_id" property="modifierId"/>
        <result column="create_time" property="createTime"/>
        <result column="modify_time" property="modifyTime"/>
        <result column="deleted" property="deleted"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,
        order_id,
        sn,
        user_id,
        customer_id,
        trans_org_id,
        trans_customer_id,
        efficiency_score,
        fee_score,
        attitude_score,
        overall_score,
        picture,
        memo,
        creator_id,
        modifier_id,
        create_time,
        modify_time,
        deleted
    </sql>
</mapper>
